--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Used to generate unique component ids
full_name: Icalendar::Component#new_uid
is_singleton: false
name: new_uid
params: ()
visibility: public
